# using Pkg

# # cache current environment
# activeproject = Base.active_project()

# activate doc environment
# Pkg.activate(dirname(@__FILE__))

# start from parent dir
# Pkg.add(PackageSpec(url=pwd()))

# for ci cd purposes
# Pkg.instantiate()

using Documenter
using dg1d

makedocs(;
         sitename="dg1d.jl",
         pages = [
             "index.md",
             "dg.md",
             "setup.md",
             "Projects" => [
                "projects/HeatEq.md",
                "projects/AdvectionEq.md",
                "projects/AV.md",
                "projects/TOV.md",
                "projects/GRHD.md",
             ],
             "Design" => [
                "design/parameters.md"
            ],
         ],
        format = Documenter.HTML(prettyurls = false) # for viewing documentiation locally
       )
         # repo = "https://git.tpi.uni-jena.de/dg/dg1d.jl")
