using DrWatson
@quickactivate "dg1d"
using dg1d


prms = Parameters(
  N = 7,
  K = 80,
  CFL = 0.2,
  tstart = 0.0,
  tend = 1.8,
  quadr = :LGL,
  scheme = :SSPRK3,
  L = 10.0,
  L_offset = -5.0,
)

element = SpectralElement(prms)
mesh = Mesh(element, prms)
u0, bc = EulerEq.initial_data(mesh, prms, :shu_osher_shock_tube_2)
pblm = Problem(mesh=mesh, element=element, prms=prms, 
               Eq=dg1d.EulerEq.Eq, bdryconds=bc)
# av = nothing
av = AV.MDA(pblm, cmax=1.0)
# av = AV.MDH(pblm, cmax=cmax)
# av = AV.DB(pblm, cmax=cmax, cb=0.5)
# Not working, investigate this
# av = AV.EV(pblm, cmax=cmax, ce=0.5)
u = dg1d.EulerEq.evolve_problem(u0, pblm, av)

EulerEq.plot(u, pblm, av)
