module dg1d

  using LinearAlgebra
  using Jacobi
  using Printf
  using ProgressMeter
  using DataStructures
  using CSV
  using JLD2
  using LibGit2
  using DataFrames
  using Glob
  using Plots
  using PrettyTables
  using TOML
  import Parameters: @unpack, @with_kw

  include("utils.jl")
  include("transformations.jl")
  include("fd.jl")
  include("lagrange.jl")
  include("gb.jl")
  include("glgl.jl")
  include("lgl.jl")
  include("parameters.jl")
  include("spectralelement.jl")
  include("mesh.jl")
  include("bdryconditions.jl")
  include("flux.jl")
  include("rhs.jl")
  include("evolve.jl")
  include("eqs.jl")
  include("version.jl")
  include("weno.jl")
  include("variables.jl")
  include("statevector.jl")
  include("plot.jl")
  include("bernstein.jl")
  include("troubled_cells.jl")
  include("shock_sensor.jl")

  include("projects/AV/AV.jl")
  include("projects/ScalarEq/ScalarEq.jl")
  include("projects/ScalarEq/AdvectionEq.jl")
  include("projects/ScalarEq/HeatEq.jl")
  include("projects/ScalarEq/analysis.jl")
  include("projects/EoS/EoS.jl")
  include("projects/EulerEq/EulerEq.jl")
  include("projects/SREulerEq/SREulerEq.jl")
  include("projects/TOV/TOV.jl")
  include("projects/GRHD/GRHD.jl")

end # module
