"""

_DEPRECATED_

An Abstract_Eq (eq) must implement the following functions:

  flux(eq, u..., x) 

  maxabs_v(eq, u..., x) 

See also: [`flux`](@ref), [`maxabs_v`](@ref) 
"""
abstract type Abstract_Eq end
abstract type Abstract_ScalarEq <: Abstract_Eq end
abstract type Abstract_SystemOfEqs <: Abstract_Eq end


"""
Compute flux using N state variables (u...) and grid points x.
"""
function flux end

"""
Estimate maximum of absolute wave speed set by flux
"""
function maxabs_v end

# make Abstract_Eq compatible with dot-syntax (elementwise operations)
Base.Broadcast.broadcastable(eq::Abstract_Eq) = Ref(eq)

local_maxabs(v) = vec(maximum(abs.(v), dims=1))
