# Design considerations
#
# - Settle on data format
#   Current favorite is JLD2 since it is HDF5 compatible and provides
#   simpler syntax than HDF5. Caveat: Likely that HDF5 files not created with
#   JLD2 might no be readable by JLD2.
#   BSON is another alternative, but is not HDF5 compatible at all.
#   Q: HDF5 compatibility needed?
#
# - JLD2 syntax is not difficult, but it can become repetitive for larger
#   projects with many variables.
#   Q: How could one automize this? Maybe build upon the VariableStruct?
#
# - Q: How big can one file become?
#   Q: Is it worth separating grid points from actual data points?
#   PA: No, because a datafile should be complete so that it is the only 
#   thing needed to visualize its contents.
#     - Q: How is this with JLD2 files, because it allows to store multiple
#     fields with identifiers?
#     PA: This feature should not be used if one wants to select using the
#     parameter file which variables should be outputted ...
