struct BdryConditions <: dg1d.Abstract_BdryConditions 
  ρ::dg1d.BdryConditions
  q::dg1d.BdryConditions
  E::dg1d.BdryConditions
end

function bdryconditions(type::Symbol, u::AbstractArray, mesh::Mesh)

  bcs = if type === :periodic
    # bc_ρ = dg1d.PeriodicBdryConditions()
    # bc_q = dg1d.PeriodicBdryConditions()
    # bc_E = dg1d.PeriodicBdryConditions()
    # # TODO Check if I require special peridioc bdry conditions type
    # BdryConditions(bc_ρ, bc_q, bc_E)
    PeriodicBdryConditions()
  elseif type === :from_initialdata
    @unpack x = mesh
    ρ, q, E = unpack(u, x)
    bc_ρ = dg1d.BdryConditions(dg1d.Dirichlet_BC(ρ[1]), 
                               dg1d.Dirichlet_BC(ρ[end]))
    bc_q = dg1d.BdryConditions(dg1d.Dirichlet_BC(q[1]), 
                               dg1d.Dirichlet_BC(q[end]))
    bc_E = dg1d.BdryConditions(dg1d.Dirichlet_BC(E[1]), 
                               dg1d.Dirichlet_BC(E[end]))
    BdryConditions(bc_ρ, bc_q, bc_E)
  else
    error("No boundary conditions of type '$type' implemented!")
  end

  return bcs
end
