@VariableStruct ScaledConservatives hatD hatSr hatτ
@VariableStruct Conservatives D Sr τ
@VariableStruct Primitives ρ vr p ϵ
@VariableStruct MetricFns A A_r B B_r
@VariableStruct Fluxes fD fSr fτ
@VariableStruct Sources sD sSr sτ
@VariableStruct LdgVariables qD qSr qτ
@VariableStruct LdgFluxes gD gSr gτ
@VariableStruct ArtificialViscosity μ



# TODO rename this
# TODO remove @with_kw macro because it is not needed
@with_kw mutable struct Rhs
  mesh::Mesh
  eos::NewEoS.PolytropicEoS
  av::Abstract_AV
  mfs::MetricFns
  scons::ScaledConservatives
  cons::Conservatives
  prim::Primitives
  ldgq::LdgVariables
  fluxes::Fluxes
  sources::Sources
  ldgfluxes::LdgFluxes
  av_vars::ArtificialViscosity
end



function Rhs(mesh::Mesh, av::Abstract_AV)
  @unpack K = mesh
  @unpack Npts = mesh.element
  n_dofs = Npts * K
  eos = NewEoS.PolytropicEoS(K=100, Γ=2)
  return Rhs(mesh,
             eos,
             av,
             MetricFns(n_dofs),
             ScaledConservatives(n_dofs),
             Conservatives(n_dofs),
             Primitives(n_dofs),
             LdgVariables(n_dofs),
             Fluxes(n_dofs),
             Sources(n_dofs),
             LdgFluxes(n_dofs),
             ArtificialViscosity(μ=av.μ))
end
