struct BdryConditions <: dg1d.Abstract_BdryConditions 
  D::dg1d.BdryConditions
  S::dg1d.BdryConditions
  τ::dg1d.BdryConditions
end

function bdryconditions(type::Symbol, u::AbstractArray, mesh::Mesh)

  bcs = if type === :periodic
    PeriodicBdryConditions()
  elseif type === :from_initialdata
    @unpack x = mesh
    D, S, τ = unpack(u, x)
    bc_D = dg1d.BdryConditions(dg1d.Dirichlet_BC(D[1]), 
                               dg1d.Dirichlet_BC(D[end]))
    bc_S = dg1d.BdryConditions(dg1d.Dirichlet_BC(S[1]), 
                               dg1d.Dirichlet_BC(S[end]))
    bc_τ = dg1d.BdryConditions(dg1d.Dirichlet_BC(τ[1]), 
                               dg1d.Dirichlet_BC(τ[end]))
    BdryConditions(bc_D, bc_S, bc_τ)
  else
    error("No boundary conditions of type '$type' implemented!")
  end

  return bcs
end
