function bdryconditions(type::Symbol, u0::AbstractArray, mesh::Mesh)
  @unpack L = mesh

  bcs = if type === :periodic
    dg1d.PeriodicBdryConditions()
  elseif type === :cosine_inflow_lhs
    u0_lhs = u0[1]
    f = (t) -> u0_lhs * ( cos(4.0*t*2.0*π/L) - 1.0 )
    dg1d.BdryConditions(dg1d.Dirichlet_BC(f), dg1d.Outflow_BC())
  elseif type === :cosine_inflow_rhs
    u0_rhs = u0[end]
    f = (t) -> u0_rhs * ( cos(4.0*t*2.0*π/L) - 1.0 )
    dg1d.BdryConditions(dg1d.Outflow_BC(), dg1d.Dirichlet_BC(f))
  else
    error("No boundary conditions of type '$type' implemented!")
  end

  return bcs
end
