@VariableStruct Scalar u
@VariableStruct Flux f
@VariableStruct Viscosity μ
@VariableStruct LdgScalar q
@VariableStruct LdgFlux g


mutable struct Variables
  scalar::Scalar
  flux::Flux
  visc::Viscosity
  ldgscalar::LdgScalar
  ldgflux::LdgFlux
end


function Variables(mesh::Mesh, av::AV.Abstract_AV)
  @unpack K = mesh
  @unpack Npts = mesh.element
  n_dofs = Npts * K
  return Variables(
             Scalar(n_dofs),
             Flux(n_dofs),
             Viscosity(μ=av.μ),
             LdgScalar(n_dofs),
             LdgFlux(n_dofs)
            )
end


struct Problem
  vars::Variables
  mesh::Mesh
  eq::Abstract_ScalarEq
  bcs::Abstract_BdryConditions
end
