@safetestset "Legendre Gauss Lobatto" begin


@testset "Test orthogonality relation" begin

  # set up quadrature rule
  n_pts = 6
  x, w = dg1d.LGL.rule(n_pts)
  quad(f1, f2) = dg1d.LGL.inner_product(x, w, f1 .* f2)

  # analytical result
  L_ana = zeros(n_pts, n_pts)
  for i in 1:n_pts
    L_ana[i,i] = 2.0 / (2.0 * i - 1.0)
  end

  L = dg1d.LGL.linear_dependency_matrix_exact(x, w)

  @test L ≈ L_ana

end


end
