@testset "Mesh" begin


@testset "Mesh operations" begin

  N = 4
  K = 10
  xmin, xmax = -5, 5
  CFL = 0.5
  quadr = :LGL
  element = SpectralElement(N, quadr)

  mesh = dg1d.Mesh(element, K, xmin, xmax, CFL)

  var = zero(mesh.x) .+ 1.0

  cellwise_avg = dg1d.cellwise_average(var, mesh)
  result_cellwise_avg = sum(var, dims=1) / mesh.element.Npts
  @test all(cellwise_avg .≈ result_cellwise_avg)

end


end
